libpoppler58_0.41.0-0ubuntu1_amd64.deb


Advertisement

Description

libpoppler58 - PDF rendering library

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Main amd64
Package filename libpoppler58_0.41.0-0ubuntu1_amd64.deb
Package name libpoppler58
Package version 0.41.0
Package release 0ubuntu1
Package architecture amd64
Package type deb
Category libs
Homepage http://poppler.freedesktop.org/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 737.79 KB
Installed size 2.57 MB
Poppler is a PDF rendering library based on Xpdf PDF viewer.
This package contains the shared core library.

Alternatives

Package Version Architecture Repository
libpoppler58_0.41.0-0ubuntu1.14_i386.deb 0.41.0 i386 Ubuntu Updates Main
libpoppler58_0.41.0-0ubuntu1.14_amd64.deb 0.41.0 amd64 Ubuntu Updates Main
libpoppler58_0.41.0-0ubuntu1_i386.deb 0.41.0 i386 Ubuntu Main
libpoppler58 - - -

Requires

Name Value
libc6 >= 2.14
libfontconfig1 >= 2.9.0
libfreetype6 >= 2.2.1
libjpeg8 >= 8c
liblcms2-2 >= 2.2+git20110628
libpng12-0 >= 1.2.13-4
libstdc++6 >= 4.9
libtiff5 >= 4.0.3

Download

Type URL
Mirror archive.ubuntu.com
Binary Package libpoppler58_0.41.0-0ubuntu1_amd64.deb
Source Package poppler

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libpoppler58 deb package:
    # sudo apt-get install libpoppler58

Files

Path
/usr/lib/x86_64-linux-gnu/libpoppler.so.58
/usr/lib/x86_64-linux-gnu/libpoppler.so.58.0.0
/usr/share/doc/libpoppler58/AUTHORS
/usr/share/doc/libpoppler58/NEWS.gz
/usr/share/doc/libpoppler58/README
/usr/share/doc/libpoppler58/README-XPDF.gz
/usr/share/doc/libpoppler58/TODO
/usr/share/doc/libpoppler58/changelog.Debian.gz
/usr/share/doc/libpoppler58/copyright

Changelog

2016-02-22 - Sebastien Bacher <seb128@ubuntu.com>
poppler (0.41.0-0ubuntu1) xenial; urgency=medium
* New upstream version (soname update 57->58)
* debian/patchres/revert_api_change.patch:
- revert upstream commit that removed an enum, they claim it's
not an abi change because it's unused, but other packages (bindings)
rely on it to build still, we can drop the patch later once the 
redpends have been updated
2015-11-23 - Robert Ancell <robert.ancell@canonical.com>
poppler (0.38.0-0ubuntu1) xenial; urgency=medium
* New upstream release
* debian/libpoppler-qt4-4.symbols.in:
- Updated
* Updated for soname change libpoppler56 -> 57
2015-10-23 - Sebastien Bacher <seb128@ubuntu.com>
poppler (0.37.0-0ubuntu1) xenial; urgency=medium
* New upstream version
* Updated for soname change libpoppler52 -> 56
2015-07-20 - Iain Lane <iain@orangesquash.org.uk>
poppler (0.33.0-0ubuntu3) wily; urgency=medium
* Set hardening flags to "+all,-pie" to build with all hardening flags
except -fPIE.
2015-07-16 - Matthias Klose <doko@ubuntu.com>
poppler (0.33.0-0ubuntu2) wily; urgency=medium
* Build using GCC 5.
* Don't set hardening flags. Qt5 doesn't allow building with -fPIE.
2015-06-23 - Robert Ancell <robert.ancell@canonical.com>
poppler (0.33.0-0ubuntu1) wily; urgency=medium
* New upstream release (LP: #1449991)
* Rename packages according to the new SONAMEs:
- libpoppler49 -> libpoppler52
* debian/libpoppler-glib8.symbols.in:
* debian/libpoppler-qt4-4.symbols.in:
* debian/libpoppler-qt5-1.symbols.in:
- Updated
2015-01-20 - Iain Lane <iain@orangesquash.org.uk>
poppler (0.30.0-0ubuntu1) vivid; urgency=medium
* New upstream release
* Rename packages according to the new SONAMEs:
- libpoppler47 -> libpoppler49
* Explicitly pass --disable-libopenjpeg now - this support was auto-disabled
before but now configure fails without this flag.
2014-11-12 - Iain Lane <iain.lane@canonical.com>
poppler (0.28.1-1ubuntu1) vivid; urgency=medium
* Resynchronise with Debian, remaining changes:
- Drop libopenjpeg-dev build depends, it is in universe.
- Lower poppler-data to Suggests, it is too big for CD images,
handled by language-selector.
2014-11-04 - Pino Toscano <pino@debian.org>
poppler (0.28.1-1) experimental; urgency=medium
* New upstream release:
- fix typo in JPX stream decoder (Closes: #764997)
* Rename packages according to the new SONAMEs:
- libpoppler46 -> libpoppler47
* debian/patches:
- upstream_Map-Standard-Expert-encoding-ligatures-to-AGLFN-name.patch:
drop, backported
- qt-visibility.diff: refresh
* Update copyright.
* Update symbols files.
2014-10-19 - Pino Toscano <pino@debian.org>
poppler (0.26.5-2) unstable; urgency=medium
* Backport upstream commit 01723aa17e836e818158dbdc56df642a290be300 to map
Standard/Expert encoding ligatures to AGLFN names; patch
upstream_Map-Standard-Expert-encoding-ligatures-to-AGLFN-name.patch.
(Closes: #740801)
* Bump Standards-Version to 3.9.6, no changes required.

See Also

Package Description
libpopt-dev_1.16-10_amd64.deb lib for parsing cmdline parameters - development files
libpopt0_1.16-10_amd64.deb lib for parsing cmdline parameters
libportaudio2_19+svn20140130-1build1_amd64.deb Portable audio I/O - shared library
libportaudiocpp0_19+svn20140130-1build1_amd64.deb Portable audio I/O C++ bindings - shared library
libpotrace-dev_1.13-2_amd64.deb development files for potrace library
libpotrace0_1.13-2_amd64.deb library for tracing bitmaps
libpq-dev_9.5.2-1_amd64.deb header files for libpq5 (PostgreSQL library)
libpq5_9.5.2-1_amd64.deb PostgreSQL C client library
libpresage-data_0.9.1-1.1ubuntu2_all.deb intelligent predictive text entry platform (data files)
libpresage-dev_0.9.1-1.1ubuntu2_amd64.deb intelligent predictive text entry platform (development files)
libpresage-doc_0.9.1-1.1ubuntu2_all.deb intelligent predictive text entry platform (documentation)
libpresage1v5_0.9.1-1.1ubuntu2_amd64.deb intelligent predictive text entry platform (shared library)
libproc-waitstat-perl_1.00-4.2_all.deb interpret and act on wait() status values
libprocess-cpp-dev_3.0.1-0ubuntu2_amd64.deb C++11 library for handling processes - dev headers and libraries
libprocess-cpp-doc_3.0.1-0ubuntu2_all.deb Documentation files for libprocess-cpp-dev
Advertisement
Advertisement